# Documentation on how to configure the bundle can be found at: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "gd"

    filter_sets :

        # the name of the "filter set"
        actuSize :
            # adjust the image quality to 75%
            quality : 80

            # list of transformations to apply (the "filters")
            filters :
                # create a thumbnail: set size to 120x90 and use the "outbound" mode
                # to crop the image when the size ratio of the input differs
                auto_rotate: ~
                upscale: { min: [1200, 900] }
                thumbnail : { size : [1200, 900], mode : outbound, upscale: true }

        realSize :
            # adjust the image quality to 75%
            quality : 80

            # list of transformations to apply (the "filters")
            filters :
                # create a thumbnail: set size to 120x90 and use the "outbound" mode
                # to crop the image when the size ratio of the input differs
                auto_rotate: ~
                upscale: { min: [1000, 1000] }
                thumbnail : { size : [1000, 1000], mode : outbound, upscale: true }
